Debian - Instalando kernel 32 bits via DVD em máquinas com mais de 4GB de RAM

Publicado por Denilson Martins em 07/11/2012

[ Hits: 3.956 ]

 


Debian - Instalando kernel 32 bits via DVD em máquinas com mais de 4GB de RAM



Quando se tenta instalar o Debian em uma máquina com mais de 4GB de RAM, o DVD de instalação automaticamente instala o kernel amd64 (64 bits), mas caso seja preciso usar um kernel x86 (32 bits), basta instalar uma versão do kernel de 32 bits preparada para trabalhar com mais de 4GB de RAM, esta versão é chamada de bigmem.

Segue o procedimento.

Atualize os repositórios do Debian e dê update nos repositórios:

# apt-get update

Confirme se seu kernel em uso é de fato 64 bits:

# uname -r

Dentro do resultado, se tiver amd64, então é 64 bits.

Procure nos repositórios, seja por synaptic ou por apt-get, um kernel versão bigmem e instale, no PC testado foi:

# apt-get install linux-image-2.6.32-5-686-bigmem

Reinicie o PC e selecione o kernel bigmem no gerenciador de boot, e após iniciado confirme novamente o kernel em uso. Após confirmar, remova o kernel amd64:

# apt-get purge linux-image-2.6-amd64

Obs.: O Debian também instalou automaticamente o kernel 64 bits em uma máquina com hardware recente, digo com processador Core i3, i5, i7... Mesmo estas não tendo mais de 4GB de RAM, e na instalação do kernel 32 o procedimento é o mesmo, mas não é preciso usar a versão bigmem a não ser que pretenda dar um upgrade de memória que supere os 4GB.

Outras dicas deste autor

Como criar um xorg.conf no Ubuntu 9.10

Adicionando impressora de rede instalada em um servidor Linux (CUPS) pelo protocolo IPP

Ubuntu 10.10 não inicia e cai no initramfs, e agora?... Resolva!

Execução do apt-get --> (ERRRO) Sources Hash Sum Mismatch <-- Correção que funcionou

Instalando cvs + cvsd no Ubuntu

Leitura recomendada

High System Timer Resolution

Wireless com broadcom 4318 no Slackware com notebook Gateway 7510GX

Otimizando a velocidade da placa gráfica

Resolvendo problema de gráficos e instalando o Ubuntu 10.04

Erro no alsamixer após atualização no Ubuntu 7.04

  

Comentários
[1] Comentário enviado por removido em 08/11/2012 - 22:53h

Ou já que está falando do Squeeze, habilita o Backports e instala o kernel -PAE, atualmente na versão 3.2.0-4:

http://www.vivaolinux.com.br/artigo/Debian-Squeeze-Backports

[2] Comentário enviado por denilsoneskas em 09/11/2012 - 13:22h

Legal, valeu pelo comentário. Vou ver mais sobre isto, e o bom é poder estar mais atualizado.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts